### Function

# Gimp is_canonical_identifier

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_is_canonical_identifier (
      const gchar* identifier
    )

#### Description [src]

Checks if `identifier` is canonical and non-`NULL`.

Canonical identifiers are e.g. expected by the PDB for procedure and parameter names. Every character of the input string must be either ‘-‘, ‘a-z’, ‘A-Z’ or ‘0-9’.

Available since: 3.0

#### Parameters

`identifier`

  Type: `const gchar*`

  The identifier string to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `identifier` is canonical, `FALSE` otherwise.